Package org.eclipse.graphiti.features.context

# Interface IAreaContext

All Superinterfaces:
  `IContext`, `ILocationContext`, `IPropertyBag`

All Known Subinterfaces:
  `IAddConnectionContext`, `IAddContext`, `ICreateContext`, `IResizeContext`, `IResizeShapeContext`

All Known Implementing Classes:
  `AddConnectionContext`, `AddContext`, `AreaAnchorContext`, `AreaContext`, `CreateContext`, `ResizeContext`, `ResizeShapeContext`

public interface IAreaContext extends ILocationContext
The interface IAreaContext. Types of this context describe an area, where features have to work in.

## Method Summary

Modifier and Type
Method
Description
`int`
`getHeight()`
Gets the height.
`int`
`getWidth()`
Gets the width.

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

## Method Details

### getWidth

int getWidth()
Gets the width.

Returns:
  the area's width

### getHeight

int getHeight()
Gets the height.

Returns:
  the area's height